## org.apache.lucene.ant
Class TextDocument

    java.lang.Object
      org.apache.lucene.ant.TextDocument

    public class TextDocument

extends java.lang.Object

A utility for making Lucene Documents from a File.

Since:
  December 6, 2001 TODO: Fix JavaDoc comments here

Constructor Summary
`TextDocument(java.io.File file)` Constructor for the TextDocument object

Method Summary
`static org.apache.lucene.document.Document` `Document(java.io.File f)` Makes a document for a File.
`java.lang.String` `getContents()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextDocument

    public TextDocument(java.io.File file)
                 throws java.io.IOException

  Constructor for the TextDocument object

  Parameters:
    `file` - Description of Parameter
  Throws:
    `java.io.IOException` - Description of Exception

Method Detail

### Document

    public static org.apache.lucene.document.Document Document(java.io.File f)
                                                        throws java.io.IOException

  Makes a document for a File.

  The document has a single field:

  - `contents`--containing the full contents of the file, as a Text field;

  Parameters:
    `f` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `java.io.IOException` - Description of Exception

### getContents

    public java.lang.String getContents()

  Returns:
    The contents value
  To Do:
    finish this method

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.